/* DB Version 4 */;

drop database if EXISTS owndms;

create database owndms;

use owndms;

DROP TABLE IF EXISTS `config`;
CREATE TABLE `config` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `CONFIGNAME` VARCHAR(250) NOT NULL,
    `CONFIGVALUE` VARCHAR(1024) NOT NULL,
    `SHOWABLE` int(11) NOT NULL,
    `REMARK` VARCHAR(2048),
    PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `owner`;
CREATE TABLE `owner` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `NAME` VARCHAR(250) NOT NULL,
    `MAIL` VARCHAR(250),
    `AUTHORITY` int(11) NOT NULL,
    `PASSWORD` VARCHAR(128),
    `REMARK` VARCHAR(2048),
    PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `group1`;
CREATE TABLE `group1` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `NAME` VARCHAR(250) NOT NULL,
    `REMARK` VARCHAR(2048),
    PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `group2`;
CREATE TABLE `group2` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `GROUP_ID1` int(11) NOT NULL,
    `NAME` VARCHAR(250) NOT NULL,
    `REMARK` VARCHAR(2048),
    PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `documents`;
CREATE TABLE IF NOT EXISTS `documents` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `GROUP_ID1` int(11) DEFAULT NULL,
  `GROUP_ID2` int(11) DEFAULT NULL,
  `OWNER_ID` int(11) DEFAULT NULL,
  `DESCRIPTION` varchar(512) DEFAULT NULL,
  `FILENAMEPDF` varchar(250) DEFAULT NULL,
  `FILENAMEJPG` varchar(250) DEFAULT NULL,
  `FILENAMEANY` varchar(250) DEFAULT NULL,
  `DATE_CREATE` datetime DEFAULT NULL,
  `DATE_INPUT` datetime DEFAULT NULL,
  `DATE_VALID` datetime DEFAULT NULL,
  `FILEMIMETYPE` varchar(250) DEFAULT NULL,
  `DELETED` int(11) NOT NULL,
  `MEMO` mediumtext,
  `HIDDEN` int(11) NOT NULL,
  `GROUPED` int(11) NOT NULL,
  `FIN_ACCOUNT1` double(11,3) NOT NULL,
  `FIN_ACCOUNT2` double(11,3) NOT NULL,
  `OPTION_FLAG1` int(11) NOT NULL,
  `OPTION_FLAG2` int(11) NOT NULL,
  `ONLY_CASHBOOK` int(11) NOT NULL,
  `MD5PDF` varchar(256) NOT NULL,
  `MD5JPG` varchar(256) NOT NULL,
  `MD5ANY` varchar(256) NOT NULL,  
  PRIMARY KEY (`ID`),
  KEY `GROUPID1` (`GROUP_ID1`),
  KEY `GROUPID2` (`GROUP_ID2`),
  KEY `GROUPID3` (`GROUP_ID1`,`GROUP_ID2`),
  KEY `OWNERID` (`OWNER_ID`),
  KEY `DESCRIPTION` (DESCRIPTION(256)),
  KEY `DATECREATE` (`DATE_CREATE`),
  KEY `DATEINPUT` (`DATE_INPUT`),
  KEY `DATEVALID` (`DATE_VALID`),
  FULLTEXT KEY `MEMO` (`MEMO`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

DROP TABLE IF EXISTS `docgroup`;
CREATE TABLE `docgroup` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `DOCMASTER_ID` int(11) NOT NULL,
    `DOCSLAVE_ID` int(11) NOT NULL,
    PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `cashbook`;
CREATE TABLE `cashbook` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `DOC_ID` int(11) NOT NULL,
    `DATE_CREATE` datetime DEFAULT NULL,
	`OWNER_ID` int(11) NOT NULL,
	`TAX_RATE` int(11) NOT NULL,
	`NET`  DECIMAL(15,2) NOT NULL,
	`GROSS`  DECIMAL(15,2) NOT NULL,
	`TAX`  DECIMAL(15,2) NOT NULL,
	`ACCOUNTING_ID` int(11) NOT NULL,
	`DELETED` int(11) NOT NULL,
	`DESCRIPTION` varchar(512) DEFAULT NULL,
	`DATE_DOCUMENT` datetime DEFAULT NULL,
	`REMARK_ALL` varchar(256) DEFAULT NULL,
	`PAYMENT_TYPE` int(11) DEFAULT NULL,
	`UNPAID_ITEM` DECIMAL(15,2) DEFAULT NULL,
	`CLIENT_ID` int(11) NOT NULL,
	`VENDOR_ID` int(11) NOT NULL,
	`DATE_DUE` datetime DEFAULT NULL,
    PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


CREATE TABLE `accounting` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `ACCOUNTING_NUMBER` int(11) NOT NULL,
	`NAME` varchar(255) NOT NULL,
	`REMARK` varchar(2048) NOT NULL,
    `DATE_CREATE` datetime DEFAULT NULL,
	`OWNER_ID` int(11) NOT NULL,
	`ACTIVA_PASSIVA` varchar(5) default "P",
    PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

CREATE TABLE `vendor` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `NAME` varchar(255) NOT NULL,
	`ADDRESS` varchar(255) NOT NULL,
	`ZIP_CITY` varchar(255) NOT NULL,
	`CONTACT_PERSON` varchar(255) NOT NULL,
	`PHONE` varchar(255) NOT NULL,
	`E_MAIL` varchar(255) NOT NULL,
	`REMARK` varchar(2048) NOT NULL,
    `DATE_CREATE` datetime DEFAULT NULL,
	`CUSTOMER_ID` int(11) NOT NULL,
	`WEB` varchar(255) NOT NULL,
    PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


CREATE TABLE `securitytokens` (
	  `id` int(10) unsigned NOT NULL AUTO_INCREMENT PRIMARY KEY,
	  `user_id` int(10) NOT NULL,
	  `identifier` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
	  `securitytoken` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
	  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
	  ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

DROP TABLE IF EXISTS `accounting_template`;
CREATE TABLE `accounting_template` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `DATE_CREATE` datetime DEFAULT NULL,
	`TAX_RATE` int(11) NOT NULL,
	`NET`  DECIMAL(15,2) NOT NULL,
	`GROSS`  DECIMAL(15,2) NOT NULL,
	`TAX`  DECIMAL(15,2) NOT NULL,
	`ACCOUNTING_ID` int(11) NOT NULL,
	`DELETED` int(11) NOT NULL,
	`DESCRIPTION` varchar(512) DEFAULT NULL,
	`DATE_DOCUMENT` datetime DEFAULT NULL,
	`REMARK_ALL` varchar(256) DEFAULT NULL,
	`PAYMENT_TYPE` int(11) DEFAULT NULL,
	`UNPAID_ITEM` DECIMAL(15,2) DEFAULT NULL,
	`CLIENT_ID` int(11) NOT NULL,
	`VENDOR_ID` int(11) NOT NULL,
	`DATE_DUE` datetime DEFAULT NULL,
    PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


