<?php
	
include_once 'includes/dbfunctions.php';
include_once 'includes/db-requests.php';
	
function ldpa_connect($uid,$pw){
	global $_ldap_cn_admin_passwd;
	global $_ldap_cn_admin;
	global $_ldap_url;
	global $_ldap_base_cn;
	global $_ldap_filter;
	global $_ldap_use;

	$ds=ldap_connect($_ldap_url);  // assuming the LDAP server is on this host
	ldap_set_option($ds, LDAP_OPT_PROTOCOL_VERSION, 3);

	if ($ds) {
		$r=ldap_bind($ds, $_ldap_cn_admin, $_ldap_cn_admin_passwd);
		if(!$r) die("ldap_bind failed<br><br>");
		//echo "ldap_bind success<br>";
		//
	} else {
	die( "Unable to connect to LDAP server");
		}
	$sr=ldap_search($ds, $_ldap_base_cn, $_ldap_filter, $_ldap_use);
	$info = ldap_get_entries($ds, $sr);
	//print $info["count"]." gefundene Eintr&auml;ge<p>";
	foreach($info as $entry) {
		if ($entry["cn"] !="" && $entry["uid"][0] == $uid) {
			if(ssha_password_verify($entry["userpassword"][0], $pw)){
				return $entry["uidnumber"][0];
				//print('Password for uid='.$uid.' could be verified.<br>');
			}else{
				return false;
				//print('Password for uid='.$uid.' could not be verified.<br>');
			}
		break;
		}
	}
	ldap_close($ds);
}


function ssha_password_verify($hash, $password){
	// Verify SSHA hash
	$ohash = base64_decode(substr($hash, 6));
	$osalt = substr($ohash, 20);
	$ohash = substr($ohash, 0, 20);
	$nhash = pack("H*", sha1($password . $osalt));
	if ($ohash == $nhash) {
		return True;
	} else {
		return False;
	}
}

function ssha_encode($text) {
	$salt = "";
	for ($i=1;$i<=10;$i++) {
		$salt .= substr('0123456789abcdef',rand(0,15),1);
	}
	$hash = "{SSHA}".base64_encode(pack("H*",sha1($text.$salt)).$salt);
	return $hash;
}
function mergeLokalDB($uid, $username, $password) {
	$dbuser=getOwner();
	$gefunden=false;
	for ($i = 0; $i < count($dbuser); $i++) {
		pvars($dbuser[$i],0);
		if  (    strtolower($dbuser[$i]["NAME"]) ==  strtolower($username)) {
			$auth=$dbuser[$i]["AUTHORITY"];
			$gefunden = true;
			break;
		}
	}
	if (!$gefunden) {
		$sql= 'insert into owner (ID, NAME, AUTHORITY, PASSWORD) values (
				"'. $uid.'",
				"'. $username.'",
				"2",
				MD5("'. $password.'"))
		';
		
	} else {
		$sql = 'update owner set ID = "' . $uid . '", PASSWORD= MD5("'. $password.'") where NAME = "'. $username.'"';
	}
	executeSQL_PDO($sql);
	$GLOBALS['AUTHORITY'] = $auth;
		
}
